using System;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Controls;

[ComImport]
[InterfaceType(1)]
[Guid("1A11BEA0-A0ED-41C1-9057-46084DE9AEDC")]
[SuppressUnmanagedCodeSecurity]
[ComConversionLoss]
public interface IListView
{
	[DispId(1610678272)]
	IntPtr Area
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[param: In]
		set;
	}

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void SetCacheInfo(int nRowHeight, int nRowsToCache);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void InvalidateFrom(int nRow);

	[DispId(1610678275)]
	int Color
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		get;
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[param: In]
		set;
	}
}
